<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/include/AndroidSLESMediaPlayer/AndroidSLESSpeaker.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a></li><li class="navelem"><a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AndroidSLESSpeaker.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_android_s_l_e_s_speaker_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESSPEAKER_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESSPEAKER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;utility&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;SLES/OpenSLES.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_android_s_l_e_s_engine_8h.html">AndroidUtilities/AndroidSLESEngine.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_android_s_l_e_s_object_8h.html">AndroidUtilities/AndroidSLESObject.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>mediaPlayer {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>android {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html">AndroidSLESSpeaker</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">avsCommon::sdkInterfaces::SpeakerInterface</a> {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">static</span> std::unique_ptr&lt;AndroidSLESSpeaker&gt; <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4adbabd516814afef972bdf771de4b7">create</a>(</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; engine,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; outputMixObject,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; speakerObject,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> type);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a9676cc8b9c39962f8a3a0cfd7f8e95f9">setVolume</a>(int8_t volume) <span class="keyword">override</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#aaf66b4a827bc49a17a63d27a164ebb76">adjustVolume</a>(int8_t delta) <span class="keyword">override</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4b10b0068237a7bf7dd6234b99a8146">setMute</a>(<span class="keywordtype">bool</span> mute) <span class="keyword">override</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a0ada59240f8dfbeabbafb1efae699544">getSpeakerSettings</a>(<a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a>* settings) <span class="keyword">override</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a6dd70ceb8f9cf454e38838d32f6244b1">getSpeakerType</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html">AndroidSLESSpeaker</a>(</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; engine,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; outputMixObject,</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; speakerObject,</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        SLVolumeItf volumeInterface);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    std::pair&lt;bool, int8_t&gt; getAvsVolume() <span class="keyword">const</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    int8_t toAvsVolume(SLmillibel deviceVolume) <span class="keyword">const</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    SLmillibel toDeviceVolume(int8_t avsVolume) <span class="keyword">const</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; m_engine;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; m_outputMixObject;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESObject&gt; m_speakerObject;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    SLVolumeItf m_volumeInterface;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">SpeakerInterface::Type</a> m_type;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;};</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}  <span class="comment">// namespace android</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}  <span class="comment">// namespace mediaPlayer</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_MEDIAPLAYER_ANDROIDSLESMEDIAPLAYER_INCLUDE_ANDROIDSLESMEDIAPLAYER_ANDROIDSLESSPEAKER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_a9676cc8b9c39962f8a3a0cfd7f8e95f9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a9676cc8b9c39962f8a3a0cfd7f8e95f9">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::setVolume</a></div><div class="ttdeci">bool setVolume(int8_t volume) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:101</div></div>
<div class="ttc" id="_speaker_interface_8h_html"><div class="ttname"><a href="_speaker_interface_8h.html">SpeakerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="_android_s_l_e_s_engine_8h_html"><div class="ttname"><a href="_android_s_l_e_s_engine_8h.html">AndroidSLESEngine.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_a6dd70ceb8f9cf454e38838d32f6244b1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a6dd70ceb8f9cf454e38838d32f6244b1">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::getSpeakerType</a></div><div class="ttdeci">Type getSpeakerType() override</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:171</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_a0ada59240f8dfbeabbafb1efae699544"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a0ada59240f8dfbeabbafb1efae699544">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::getSpeakerSettings</a></div><div class="ttdeci">bool getSpeakerSettings(SpeakerSettings *settings) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:145</div></div>
<div class="ttc" id="_android_s_l_e_s_object_8h_html"><div class="ttname"><a href="_android_s_l_e_s_object_8h.html">AndroidSLESObject.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a></div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.h:38</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface</a></div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_aaf66b4a827bc49a17a63d27a164ebb76"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#aaf66b4a827bc49a17a63d27a164ebb76">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::adjustVolume</a></div><div class="ttdeci">bool adjustVolume(int8_t delta) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:113</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_ab4b10b0068237a7bf7dd6234b99a8146"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4b10b0068237a7bf7dd6234b99a8146">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::setMute</a></div><div class="ttdeci">bool setMute(bool mute) override</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:136</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a></div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:50</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker_html_ab4adbabd516814afef972bdf771de4b7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4adbabd516814afef972bdf771de4b7">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker::create</a></div><div class="ttdeci">static std::unique_ptr&lt; AndroidSLESSpeaker &gt; create(std::shared_ptr&lt; applicationUtilities::androidUtilities::AndroidSLESEngine &gt; engine, std::shared_ptr&lt; applicationUtilities::androidUtilities::AndroidSLESObject &gt; outputMixObject, std::shared_ptr&lt; applicationUtilities::androidUtilities::AndroidSLESObject &gt; speakerObject, SpeakerInterface::Type type)</div><div class="ttdef"><b>Definition:</b> AndroidSLESSpeaker.cpp:55</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
